Show / Hide Table of Contents

# Struct hkMatrix4f

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkMatrix4f

### Fields

| Improve this Doc View Source

#### Column0

##### Declaration

    public hkVector4f Column0

##### Field Value

Type | Description
--- | ---
hkVector4f |

| Improve this Doc View Source

#### Column1

##### Declaration

    public hkVector4f Column1

##### Field Value

Type | Description
--- | ---
hkVector4f |

| Improve this Doc View Source

#### Column2

##### Declaration

    public hkVector4f Column2

##### Field Value

Type | Description
--- | ---
hkVector4f |

| Improve this Doc View Source

#### Column3

##### Declaration

    public hkVector4f Column3

##### Field Value

Type | Description
--- | ---
hkVector4f |

| Improve this Doc View Source

#### M00

##### Declaration

    public float M00

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M01

##### Declaration

    public float M01

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M02

##### Declaration

    public float M02

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M03

##### Declaration

    public float M03

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M10

##### Declaration

    public float M10

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M11

##### Declaration

    public float M11

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M12

##### Declaration

    public float M12

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M13

##### Declaration

    public float M13

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M20

##### Declaration

    public float M20

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M21

##### Declaration

    public float M21

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M22

##### Declaration

    public float M22

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M23

##### Declaration

    public float M23

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M30

##### Declaration

    public float M30

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M31

##### Declaration

    public float M31

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M32

##### Declaration

    public float M32

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### M33

##### Declaration

    public float M33

##### Field Value

Type | Description
--- | ---
System.Single |